Skip To Content

Versiones y parches

Las versiones de software de ArcGIS Pro siguen la especificación de versionado semántico. Esta especificación define las versiones de software según un esquema principal.menor.parche. Las versiones principales y menores presentan nuevas funcionalidades. Los parches corrigen problemas conocidos, pero no ofrecen funcionalidades nuevas.

A continuación, se muestran algunos ejemplos de la especificación:

  • Un cambio de la versión 2.x a la 3.x es una versión principal.
  • Un cambio de la versión x.3 a la x.4 es una versión menor.
  • Un cambio de la versión x.x.1 a la x.x.2 es un parche.

Versiones principales

Las versiones principales presentan cambios que no son compatibles con las versiones anteriores. Se incluyen cambios a los archivos de proyecto de ArcGIS Pro (.aprx) y otros formatos de documentos, como plantillas de proyectos, capas, mapas y diseños. Las versiones principales también introducen cambios innovadores de API en ArcGIS Pro SDK for .NET.

Los proyectos de ArcGIS Pro que se crean en una versión principal del software no se pueden abrir en versiones de ArcGIS Pro que pertenezcan a una versión principal anterior. Por ejemplo, un proyecto que se creó en ArcGIS Pro 2.x no se puede abrir en ArcGIS Pro 1.x. No es posible guardar directamente un proyecto de la versión 2.x en un formato que sea compatible con la versión 1.x. Para conocer una alternativa, consulte la sección Paquetes de proyecto que aparece a continuación.

Los proyectos son compatibles con las versiones principales posteriores. Por ejemplo, un proyecto que se creó en ArcGIS Pro 1.x se puede abrir en ArcGIS Pro 2.x. Sin embargo, cuando el proyecto se guarde en la versión 2.x, no se puede volver a abrir en la versión 1.x.

Paquetes de proyecto

Los Paquetes de proyecto incluyen versiones independientes de un proyecto que son compatibles con todas las versiones principales. Por ejemplo, un paquete de proyecto que se creó a partir de un proyecto de 2.x contiene las versiones 2.x y 1.x del proyecto. La experiencia de usuario es impecable: cuando abra el paquete de proyecto, se abre automáticamente la versión que sea compatible con su software.

Add-ins

Los Add-ins no son compatibles con las versiones principales anteriores ni posteriores. Un add-in integrado en la versión 2.x no cargará en la versión 1.x. Un add-in integrado en la versión 1.x no cargará en la versión 2.x. En el caso de las versiones principales, los desarrolladores deben crear de nuevo add-ins con la versión más reciente de ArcGIS Pro SDK for .NET. Consulte Novedades para los desarrolladores para obtener más información. Los usuarios deben ponerse en contacto con sus proveedores para conocer las últimas versiones de los add-ins.

Versiones menores y parches

Todos los cambios introducidos con versiones menores y parches son compatibles con versiones anteriores y posteriores. Las versiones menores y los parches funcionan perfectamente con proyectos existentes.

Las versiones menores y los parches son acumulativos. Cuando instala una versión menor o un parche, se incorpora la funcionalidad de las versiones menores o los parches que haya podido omitir. Por ejemplo, si actualiza de la versión x.x.1 a la x.x.3, la actualización incorpora la funcionalidad de la versión x.x.2. No es necesario que realice una actualización incremental de la versión x.x.2 antes de instalar la versión x.x.3.

Temas relacionados